import request from '@/utils/request'

// 查询特种设备列表
export function listEquipment(query) {
  return request({
    url: '/mudu/equipment/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备详细
export function getEquipment(id) {
  return request({
    url: '/mudu/equipment/' + id,
    method: 'get'
  })
}

// 新增特种设备
export function addEquipment(data) {
  return request({
    url: '/mudu/equipment',
    method: 'post',
    data: data
  })
}

// 修改特种设备
export function updateEquipment(data) {
  return request({
    url: '/mudu/equipment',
    method: 'put',
    data: data
  })
}

// 删除特种设备
export function delEquipment(id) {
  return request({
    url: '/mudu/equipment/' + id,
    method: 'delete'
  })
}


